package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("DM_WLQD")
@ApiModel(value="DmWlqd对象", description="")
public class DmWlqd implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "物品级别")
    @TableField("WPJB")
    private String wpjb;

    @ApiModelProperty(value = "物品分类")
    @TableField("WPFLM")
    private String wpflm;

    @ApiModelProperty(value = "编制人")
    @TableField("ZDRY")
    private String zdry;

    @ApiModelProperty(value = "编制日期")
    @TableField("XGRQ")
    private String xgrq;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "船名")
    @TableField("DC_CM")
    private String dcCm;

    @ApiModelProperty(value = "批量")
    @TableField("DC_PL")
    private String dcPl;

    @ApiModelProperty(value = "分段")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "图号")
    @TableField("DC_TH")
    private String dcTh;

    @ApiModelProperty(value = "组立")
    @TableField("DC_ZL")
    private String dcZl;

    @ApiModelProperty(value = "特征")
    @TableField("DC_TZ")
    private String dcTz;

    @ApiModelProperty(value = "依据")
    @TableField("DC_YJ")
    private String dcYj;

    @ApiModelProperty(value = "页数")
    @TableField("DC_YS")
    private String dcYs;

    @ApiModelProperty(value = "拼板")
    @TableField("DC_PB")
    private String dcPb;

    @ApiModelProperty(value = "炉批号")
    @TableField("DC_LPH")
    private String dcLph;

    @ApiModelProperty(value = "托盘编号")
    @TableField("DC_TPBH")
    private String dcTpbh;

    @ApiModelProperty(value = "托盘名称")
    @TableField("DC_TPMC")
    private String dcTpmc;

    @ApiModelProperty(value = "单价重量计量单位")
    @TableField("JLDW1")
    private String jldw1;

    @ApiModelProperty(value = "物品名称")
    @TableField("WPMC")
    private String wpmc;

    @ApiModelProperty(value = "规格")
    @TableField("WPGG")
    private String wpgg;

    @ApiModelProperty(value = "材质")
    @TableField("WPXH")
    private String wpxh;

    @ApiModelProperty(value = "ABC分类")
    @TableField("ABCLX")
    private String abclx;

    @ApiModelProperty(value = "加工进度")
    @TableField("GZLX")
    private String gzlx;

    @ApiModelProperty(value = "配套表类型")
    @TableField("YLZD1")
    private String ylzd1;

    @ApiModelProperty(value = "流程码")
    @TableField("LCM1")
    private String lcm1;

    @ApiModelProperty(value = "状态")
    private String zt;

    @TableField("YLZD2")
    private String ylzd2;

    @TableField("YLZD8")
    private String ylzd8;

    @TableField("DEZL")
    private BigDecimal dezl;

    @TableField("LCM5")
    private String lcm5;

    @TableField("XNJBS")
    private String xnjbs;

    @TableField("SL")
    private BigDecimal sl;

    @TableField("YLZD5")
    private Double ylzd5;

    @TableField("YXZZRQ")
    private Double yxzzrq;

    @TableField("LCM2")
    private String lcm2;

    @TableField("JLDW")
    private String jldw;

    @TableField("YLZD6")
    private Double ylzd6;

    @TableField("GYSBH")
    private String gysbh;

    @TableField("TQQXZL")
    private Double tqqxzl;

    @TableField("YLZD3")
    private String ylzd3;

    @TableId(value = "XWH", type = IdType.ASSIGN_UUID)
    private Double xwh;

    @TableField("BZ")
    private String bz;

    @TableField("YLZD9")
    private String ylzd9;

    @TableField("YLZD4")
    private Double ylzd4;

    @TableField("ZXWPH")
    private String zxwph;

    @TableField("GYLB")
    private String gylb;

    @TableField("YXQSRQ")
    private Double yxqsrq;

    @TableField("DRRY")
    private String drry;

    @TableField("LCM3")
    private String lcm3;

    @TableField("YHFLH")
    private String yhflh;

    @TableField("WPH")
    private String wph;

    @TableField("XLCC")
    private String xlcc;

    @TableField("FXWPH")
    private String fxwph;

    @TableField("WPCC")
    private String wpcc;

    @TableField("JZL")
    private Double jzl;

    @TableField("FWPJB")
    private String fwpjb;

    @TableField("YLZD7")
    private String ylzd7;

    @TableField("SJBCSL")
    private Double sjbcsl;

    @TableField("DRRQ")
    private String drrq;

    @TableField("LCM4")
    private String lcm4;

    private Integer drcs;


    @TableField(exist = false)
    private String  tzbh;


}
