package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.jeffreyning.mybatisplus.anno.MppMultiId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.IdClass;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("EM_SBRYDYP")
@ApiModel(value="EmSbrydyp对象", description="")
@Entity
@IdClass(EmSbrydyp.class)
public class EmSbrydyp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "设备名称")
    @TableField("SBMC")
    private String sbmc;

    @Id
    @TableId(value = "RYMC", type = IdType.ASSIGN_UUID)
    @ApiModelProperty(value = "人员名称")
    private String rymc;

    @TableField("XGR")
    private String xgr;

    @TableField("YLZD4")
    private Double ylzd4;

    @TableField("JLRQ")
    private String jlrq;

    @TableField("YLZD1")
    private String ylzd1;

    @TableField("SBBH")
    @Id
    @ApiModelProperty(value = "设备编号")
    private String sbbh;

    @TableField("XGRQ")
    private String xgrq;

    @TableField("YLZD6")
    private Double ylzd6;

    @TableField("YLZD3")
    private String ylzd3;

    @TableField("JLR")
    @ApiModelProperty(value = "负责人")
    private String jlr;

    @TableField("YLZD5")
    private Double ylzd5;

    @TableField("YLZD2")
    private String ylzd2;


}
