package com.dsic.gj_erp.bean.jhgk;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 *
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("Dm_dhqdp")
@ApiModel(value="DmDhqdp对象", description="")
public class DmDhqdp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "订货清单号")
    private String qdh;

    @ApiModelProperty(value = "期次")
    private String qc;

    @ApiModelProperty(value = " 材质")
    @TableField("WPXH")
    private String wpxh;

    @ApiModelProperty(value = "厚度mm")
    private Double thickness;

    @ApiModelProperty(value = "宽度mm")
    private Double width;

    @ApiModelProperty(value = "长度mm")
    private Double length;

    @ApiModelProperty(value = "重量吨/张")
    private Double weight;

    @ApiModelProperty(value = "设计数量张")
    private Double sjsl;

    @ApiModelProperty(value = "裕量张")
    private Double yl;

    @ApiModelProperty(value = "总数量张")
    private Double zsl;

    @ApiModelProperty(value = "总重量吨")
    private Double zzl;

    @ApiModelProperty(value = "利库数量张")
    private Double lksl;

    @ApiModelProperty(value = "利库重量吨")
    private Double lkzl;

    @ApiModelProperty(value = "实订数量张")
    private Double sdzs;

    @ApiModelProperty(value = "实订重量吨")
    private Double sdzl;

    @ApiModelProperty(value = "备注")
    private String bz;

    @ApiModelProperty(value = "状态； 0编辑1提交2审核；默认为0；")
    private String zt;

    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;


}
