package com.dsic.gj_erp.controller.jhgk;


import cn.hutool.core.util.StrUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.dsic.gj_erp.annotation.AuthFunction;
import com.dsic.gj_erp.bean.ResultBean;
import com.dsic.gj_erp.bean.jhgk.DmQfxq;
import com.dsic.gj_erp.bean.jhgk.DmSygd;
import com.dsic.gj_erp.bean.jhgk.DmSygdMx;
import com.dsic.gj_erp.service.jhgk.DmSygdService;
import com.dsic.gj_erp.service.sy.SYService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author xn
 * @since 2023-10-09
 */
@RestController
@RequestMapping("/dmSygd")
public class DmSygdController {

    @Resource
    DmSygdService service;
    @RequestMapping("/getList")
    @AuthFunction
    public ResultBean getList(@RequestBody DmSygd sygd){
        List<DmSygd> list= service.list(new QueryWrapper<DmSygd>()
                .eq(StrUtil.isNotEmpty(sygd.getDcCh()),"dc_ch",sygd.getDcCh())
                .eq(StrUtil.isNotEmpty(sygd.getDcPl()),"dc_pl",sygd.getDcPl())
//                .ge(StrUtil.isNotEmpty(sygd.getBeginTime()),"jssj",sygd.getBeginTime())
//                .le(StrUtil.isNotEmpty(sygd.getEndTime()),"jssj",sygd.getEndTime())
                .orderByAsc("dc_ch,dc_pl")
        );
        return new ResultBean(list);
    }



}

