package com.dsic.gj_erp.service.jhgk.impl;


import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.DateUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.dsic.gj_erp.bean.jhgk.DmQfxq;
import com.dsic.gj_erp.bean.jhgk.excel.QfExcel;
import com.dsic.gj_erp.mapper.jhgk.DmQfxqMapper;
import com.dsic.gj_erp.service.jhgk.DmQfxqService;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.servlet.http.HttpServletRequest;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author xn
 * @since 2023-09-18
 */
@Service
public class DmQfxqServiceImpl extends ServiceImpl<DmQfxqMapper, DmQfxq> implements DmQfxqService {


    @Override
    @Transactional(rollbackFor = Exception.class)
    public Map uploadQf(List<QfExcel> list, String project, HttpServletRequest req) {
            List<DmQfxq> listForSave=new ArrayList<>();
            for (QfExcel q:list) {
                this.remove(new QueryWrapper<DmQfxq>()
                        .eq("DC_CH",q.getDcCh())
                        .eq("DC_PL",q.getDcPl())
                        .eq("DC_FD",q.getDcFd()));
                DmQfxq a=new DmQfxq();
                BeanUtil.copyProperties(q,a);
                a.setBzry((String) req.getAttribute("yhms"));
                a.setBzrq(DateUtil.format(DateUtil.date(), "yyyy/MM/dd"));
                listForSave.add(a);
            }
            this.saveBatch(listForSave);
        return null;
    }
}
