package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("Em_gcrl")
@ApiModel(value="EmGcrl对象", description="")
@Entity
public class EmGcrl implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "序号")
    @TableId(value = "xh", type = IdType.ASSIGN_UUID)
    @Id
    private String xh;

    @ApiModelProperty(value = "年份")
    private String nf;

    @ApiModelProperty(value = "公历")
    private String gl;

    @ApiModelProperty(value = "休息日0 工作日1")
    private String xxr;

    @ApiModelProperty(value = "备注")
    private String bz;


}
