package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Entity;
import javax.persistence.Id;
import java.io.Serializable;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="EmSbcnp对象", description="")
@TableName("em_sbcnp")
//@Entity
public class EmSbcnp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "设备编号")
   // @Id
    @TableId(value = "SBBH", type = IdType.ASSIGN_UUID)
    private String sbbh;

    @ApiModelProperty(value = "设备名称")
    @TableField("SBMC")
    private String sbmc;

    @ApiModelProperty(value = "产能")
    private Double sbcn;

    @ApiModelProperty(value = "产能单位（张/米/...）")
    private String dw;

    @ApiModelProperty(value = "产能单位时间(天 或小时)")
    private String dwsj;


}
